/'****************************************************************************
The MIT License

Copyright (c) 2011, Richard D. Clark

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

http://www.opensource.org/licenses/mit-license.php
*****************************************************************************'/
#Define sw 800
#Define sh 600

Enum cardcompare
   cmpOK = -1
   cmpNotOK
   cmpEmpty
End Enum

Const fbWhite = RGB(255, 255, 255)
Const gsver = "0.9"

'Coord type.
Type coord
   x As Integer
   y As Integer
End Type

'Tableau type.
Type tabtype
   currcard As Integer 'Current column card.
   fx As Integer 'Column number x.
   fy As Integer 'Column number y.
   cards(1 To 5) As cards.cardid 'Column cards.
   coords(1 To 5) As coord 'Screen location of each card.
End Type

'Game type
Type gtype
   pname As String * 30 'Player name.
   hole As Integer 'Current hole.
   score(0 To 9) As Integer 'Current score.
   soundon As Integer 'Sound flag.
   musicon As Integer 'Music flag.
   tableau(1 To 7) As tabtype 'Tableau columns.
   stock(1 To 52) As cards.cardid 'Stock pile.
   currstock As Integer 'Pointer to current stock card.
   cx As Integer 'Stock screen x.
   cy As Integer 'Stock screen y.
   fcx As Integer 'Stock count x.
   fcy As Integer 'Stock count y.
   sx As Integer  'Stock column number x.
   sy As Integer  'Stock column number y.
   foundation As cards.cardid 'Current foundation card.
   fcol As Integer 'Column of card.
   fold As cards.cardid 'Previous foundation card.
   fcolold As Integer
   fx As Integer 'Foundation x.
   fy As Integer 'Foundation y.
End Type

'High score table.
Type hiscore
   used As Integer
   pname As String * 30
   total As Integer
   holes(1 To 9) As Integer
End Type

'Saved options type.
Type options
   soundon As Integer
   musicon As Integer
End Type

'Working variables.
Dim Shared gcards As cards.cardobj
Dim Shared game As gtype
Dim Shared his(1 To 20) As hiscore
